angular.module("textViewer").factory('ParagraphModel', ['WordModel', 'rect', function(WordModel, rect){ 
    var paragraphCount = 0;
    
    function ParagraphModel() {
	this.id = paragraphCount++;//unique identifier
	this.words = [];//words list
	this.element = null;//associated element to retrieve client rect
	this.read = false;//true if this word as been considered as read by the user
    }

    ParagraphModel.prototype.addWord = function(w) {
	
	if(w instanceof WordModel)
	    this.words.push(w);
	
    }

    ParagraphModel.prototype.toString = function() {
	
	var str = "("+this.id+")";
	var i;
	
	for(i=0; i<this.words.length; ++i) 
	    str += this.words[i].toString();
    
	return str;
    }

    ParagraphModel.prototype.createFromString = function(paragraphStr) {
	
	this.words.length = 0;
	var this_obj = this;
	var words = paragraphStr.split(' ');
	
	words.forEach(function(w,i){
	    
	    var w_object = new WordModel();
	    w_object.value = w;
	    w_object.after = " ";
	    this_obj.addWord(w_object);
	    
	});
    }

    ParagraphModel.prototype.isInRect = function(x,y) {
	
	if(this.element == null)
	    return false;
	
	return rect.isInRect(this.element.getBoundingClientRect(),x,y);
    }

    ParagraphModel.prototype.getWordAt = function(x,y) {
	
	var i
	for(i=0; i<this.words.length; ++i)
	    if(this.words[i].isInRect(x,y))
		return this.words[i];
	
	return null;
    }

    ParagraphModel.prototype.getMarkedWordsCount = function() {
	
	var i;
	var count = 0;
	
	for(i=0; i<this.words.length; ++i) 
	    if(this.words[i].marked == true)
		count++;
	
	return count;
    }
    
    return ParagraphModel;
}]);
