angular.module("textViewer").factory('TextModel', ['ParagraphModel', 'rect', function(ParagraphModel, rect){
    
    function TextModel() {
	
	this.paragraphs = [];//paragraphs list
	this.element = null;//associated element to retrieve client rect
    }

    TextModel.prototype.addParagraph = function(p) {
	
	if(p instanceof ParagraphModel) 
	    this.paragraphs.push(p);
	
    }

    TextModel.prototype.toString = function() {
	var str = "";
	
	for(i=0; i<this.paragraphs.length; i++)
	    str = str + this.paragraphs[i].toString()+"\n";
	
	return str;
    }

    TextModel.prototype.createFromString = function(textStr) {
	
	this.paragraphs.length = 0;
	
	var this_obj = this;
	var paragraphs = textStr.split('\n');
	
	paragraphs.forEach(function(p,i){
	    
	    var p_object = new ParagraphModel();
	    
	    p_object.createFromString(p);
	    this_obj.addParagraph(p_object);
	    
	});
    }

    TextModel.prototype.isInRect = function(x,y) {
	
	if(this.element == null)
	    return false;
	
	return rect.isInRect(this.element.getBoundingClientRect(),x,y);
    }

    TextModel.prototype.getTotalMarkedWordsCount = function(){
	var count = 0;
	var i;
	for(i=0; i<this.paragraphs.length; ++i)
	    count += this.paragraphs[i].getMarkedWordsCount();
	
	return count;
    }
    
    TextModel.prototype.getParagraphAt = function(x,y) {
	
	for(i=0; i<this.paragraphs.length; ++i)
	    if(this.paragraphs[i].isInRect(x,y))
		return this.paragraphs[i];
	
	return null;
    }
    
    return TextModel;
}]);
