angular.module("textViewer").factory('WordModel', ['rect', function(rect){
    var wordCount = 0;
    function WordModel() {
	
	this.id = wordCount;//unique identifier
	
	wordCount++;
	
	this.value = "";//text value of this word
	this.after = "";//text value after this word
	this.element = null;//associated element to retrieve client rect
	this.color = "rgb(0,0,0)";//display color
	this.marked = false;//marked by the eye tracker algorithm
	this.read = false;//true if this word as been considered as read by the user
    }

    WordModel.prototype.toString = function(){
	return "("+this.id+")"+"["+this.value+"]"+this.after;
    }

    WordModel.prototype.isInRect = function(x,y) {
	
	if(this.element == null)
	    return false;
	
	return rect.isInRect(this.element.getBoundingClientRect(),x,y);
    }

    return WordModel;
}]);
