<!DOCTYPE html>
<html lang="en">
    <head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	
	<title>Lecture</title>

	<link href="css/bootstrap.min.css" rel="stylesheet">
	<link rel="stylesheet" href="css/font-awesome.min.css">
	<link rel="stylesheet" href="css/animate.css">
	<link href="css/animate.min.css" rel="stylesheet"> 
	<link href="css/style.css" rel="stylesheet" />

	<!-- Eye Tracker -->
	<script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.2.16/angular.min.js"></script> 
	<script src="textViewer.js"></script>
	<script src="controller/textViewerController.js"></script> 
	<script src="directives/paragrapheView.js"></script>
	<script src="directives/textView.js"></script> 
	<script src="directives/wordView.js"></script> 
	<script src="Services/eyeTrackerFactory.js"></script>
	<script src="Services/rect.js"></script>
	<script src="Services/wordModel.js"></script>
	<script src="Services/paragraphModel.js"></script>
	<script src="Services/textModel.js"></script>
	<script type="text/javascript" src="./socket_io/socket.io.js"></script> 
	<script type="text/javascript" src="./libs/functions.js"></script>
	<!-- Eye Tracker  -->
	
    </head>
    <body>
	<header id="header">
	    <nav class="navbar navbar-default navbar-static-top" role="banner">
		
		<div class="container">
		    <div class="navbar-header">
			<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
			    <span class="sr-only">Toggle navigation</span>
			    <span class="icon-bar"></span>
			    <span class="icon-bar"></span>
			    <span class="icon-bar"></span>
			</button>
			<div class="navbar-brand">
			    <a href="index.php"> <img src="./img/logo.png" width="200" height="50"/></a>
			</div>
		    </div>
		    
		    <div class="navbar-collapse collapse">
			
			<div class="menu">
			    
			    <ul class="nav nav-tabs" role="tablist">
				<li role="presentation"><a href="index.php" >Home</a></li>
				<li role="presentation"><a href="services.php">The App</a></li> 
				<li role="presentation"><a href="about.php">About Us</a></li>
				<li role="presentation"><a href="contact.php">Contact</a></li>						
			    </ul>
			</div>
			
		    </div>
		</div><!--/.container-->
		
	    </nav><!--/nav-->
	</header><!--/header-->	

	<!--/body-->
	<div class="container">



	    <?php
	    include('db.php');
	    
	    $id= $_POST['bouton'];
	    $level= $_POST['level'];
	    $rows= dbGetTextById($id);
	    $textContent = "";
	    $textTitle = "";
	    foreach($rows as $el){
		$textContent =  $el['contenu'];
		$textTitle = $el['nom'];
	    }	    
	    ?>
	    <ol class="breadcrumb">
		<li><a href="index.php">Home</a></li>
		<li><a href="services.php">The app</a></li>
		<li><a href="level.php?level=<?php echo $level ?>">List of texts </a></li>
		<li class="active">Show text</li>
	    </ol>
	    
	    
	    <div ng-app="textViewer" ng-controller="textViewerController"><!-- angular -->
		
		
		<div style="display:none;" ng-init="text_brut=<?php echo htmlentities(json_encode($textContent)); ?>; init()"></div> 

		<h1 style="color:rgb(0, 0, 0);">
		    <br>
		    <?php echo htmlentities(json_encode($textTitle)); ?>
		    <br>
		    <br>
		</h1>
		
		<span style="color:rgb(0, 0, 0);">

		    <input id="paramsButton" type="button" value="{{showParams==true?'Hide Params' : 'Show Params'}}" class="btn btn-primary btn-lg" ng-click="showParams = !showParams"/>

		    <div  ng-show="showParams">
			Font size : <input type="number" min="0" max="100" ng-model="fontSize" style="text-align:right; width:50px ;"/>
			
			Line space size <input type="number" min="0" max="100" ng-model="lineSpace" style="text-align:right; width:50px "/>
			
			<input id="readModeButton" type="button" value="read mode : {{readMode}}" class="btn btn-primary btn-lg" ng-click="readMode = !readMode ; colorWords = false"}"/>

			<input id="colorWordsButton" type="button" value="show marked words : {{colorWords}}" class="btn btn-primary btn-lg" ng-click="colorWords = !colorWords"}" ng-disabled="!readMode"/>
			
			Threshold readmode time : <input id="readmode-time" type="number" style="text-align:right; width:50px " value="100" min="1" step="1" ng-model="readModeTime"/>ms

			<input id="showReticleButton" type="button" value="show reticle : {{showReticle}}" class="btn btn-primary btn-lg" ng-click="showReticle = !showReticle"/>
			
			<!-- <input id="calibrateButton" type="button" value="Calibrate" class="btn btn-primary btn-lg" ng-click="calibrate=!calibrate"/> -->

			
			<!-- <input type="button" class="btn btn-primary btn-lg" ng-click="afficherRects(); showRect = !showRect" value="showRects : {{showRect}}" /> -->
		    </div>

		    
		</span>

		<br>
		<br>
		
		<text-view ng-style="{'font-size': fontSize+'px', 'line-height': fontSize+lineSpace+'px'}" text="text"> </text-view> 

		<!-- <div ng-show="calibrate" style="color:rgb(0, 0, 0); width:200px; height:200px;position:absolute;top:0px; left:0px"> 
		     Look at the cross and press enter
		     </div> -->
		
		<!-- Displaying the reticle -->
		<div id="cursor" ng-show="showReticle"  style="background: rgba(255, 0, 0, 0.1);width: 100px; height: 100px; border-radius: 50%;pointer-events:none;position:absolute; left:{{displayPos[0]-50}}px ; top:{{displayPos[1]-50+window.pageYOffset}}px" > </div>
		
		<input id="doneReadingButton" type="button" value="Done Reading" class="btn btn-primary btn-lg" ng-click="doneReading=true;readMode = false"/>

		<div ng-show="doneReading" style="color:rgb(0, 0, 0);">
		    <br>
		    <br>
		    <h2>
			You have read {{ nbWordsRead() }} words !
		    </h2>
		</div>
		
	    </div> <!-- angular -->
	    
	</div><!-- container -->
	<hr>
	<?php require('./footer.php'); ?>
	
    </body>
    
</html>
