angular.module("textViewer").factory('WordModel', ['collisions', function(collisions){
    var wordCount = 0;
    function WordModel() {
	
	this.id = wordCount;//unique identifier
	
	wordCount++;
	
	this.value = "";//text value of this word
	this.after = "";//text value after this word
	this.element = null;//associated element to retrieve client rect
	this.color = "rgb(0,0,0)";//display color
	this.markedColor = "rgb(255,0,0)";
	this.marked = false;//marked by the eye tracker algorithm
	this.read = false;//true if this word as been considered as read by the user
	this.score = 0;
    }

    WordModel.prototype.toString = function(){
	return "("+this.id+")"+"["+this.value+"]"+this.after;
    }

    //Collision test
    WordModel.prototype.isInRect = function(x,y) {
	
	if(this.element == null)
	    return false;
	
	return collisions.isInRect(this.element.getBoundingClientRect(),x,y);
    }

    WordModel.prototype.ellipseIntersect = function(ellipse) {
	
	if(this.element == null)
	    return false;
	
	return collisions.isInRect(this.element.getBoundingClientRect(),ellipse.x,ellipse.y) || collisions.intersectionEllipseRect(ellipse, this.element.getBoundingClientRect());
    }

    return WordModel;
}]);
