describe('collisions factory', function(){
    // var $log;
    
    // Before each test load our api.users module
    beforeEach(angular.mock.module('textViewer'));

    // Before each test set our injected Users factory (_Users_) to our local Users variable
    beforeEach(inject(function(_collisions_) {
	collisions = _collisions_;
    }));

    // Inject the $log service
    // beforeEach(inject(function(_$log_){  
    // 	$log = _$log_;
    // }));

    // Log debug messages in Karma
    // afterEach(function(){  
    // 	console.log($log.debug.logs);
    // }); 

    describe('isInRect function', function(){
	
	it('should return true, coordinates are in the rect', function(){
	    var x = 10;
	    var y = 10;
	    var obj = document.createElement('span');
	    obj.style.cssText = 'position:absolute;top:5px;left:5px;width:10px;height:10px;';
	    document.body.appendChild(obj);
	    var rect1 = obj.getBoundingClientRect(); 
	    
	    var res = collisions.isInRect(rect1, x, y);
	    expect(res).toBe(true);

	    document.body.removeChild(obj);
	});

	it('should return false, coordinates are not in the rect', function(){
	    var x = 0;
	    var y = 10;
	    
	    var obj = document.createElement('span');
	    obj.style.cssText = 'position:absolute;top:5px;left:5px;width:10px;height:10px;';
	    document.body.appendChild(obj);
	    var rect1 = obj.getBoundingClientRect(); 
	    
	    var res = collisions.isInRect(rect1, x, y);
	    expect(res).toBe(false);

	    document.body.removeChild(obj); 
	});

    });
    // console.debug(obj);    
});
