describe('textModel', function(){

    var nbWords = 122;
    var sampleText = "Lorem ipsum dolor sit amet consectetur adipiscing elit Vestibulum commodo ante eu ante tempus eget blandit ante efficitur Vestibulum hendrerit tristique velit et tempor erat volutpat id Duis blandit urna et congue dignissim neque lacus semper ante sed ullamcorper augue leo at tortor Aenean elit eros tempus ut \n velit ac venenatis tincidunt purus Sed ut justo quis dolor malesuada consectetur nec ut massa Interdum et malesuada fames ac ante ipsum primis in faucibus Suspendisse blandit auctor massa at tristique Donec sit amet quam vitae leo tempor sagittis non quis mauris Suspendisse rutrum suscipit urna mattis efficitur orci vestibulum \n id Nunc et leo vel eros blandit placerat facilisis vitae magna Integer sodales tortor vitae velit bibendum fringilla Ut finibus rutrum quam a lacinia";

    // var $log;
    

    beforeEach(angular.mock.module('textViewer'));
    
    beforeEach(inject(function(_WordModel_) {
	WordModel = _WordModel_;
    }));

    beforeEach(inject(function(_ParagraphModel_) {
	ParagraphModel = _ParagraphModel_;
    }));
    
    beforeEach(inject(function(_TextModel_) {
	TextModel = _TextModel_;
    }));


    // Inject the $log service
    // beforeEach(inject(function(_$log_){  
    //     $log = _$log_;
    // }));

    // Log debug messages in Karma
    // afterEach(function(){  
    //     console.log($log.debug.logs);
    // }); 

    
    it('should be defined', function(){
	expect(TextModel).toBeDefined(); 
    });
    
    it('should exist', function(){
	expect(TextModel.prototype.getTotalReadWordsCount).toBeDefined();
    });
    
    describe('createFromString function', function(){
	it('should contain the correct number of words after creation', function(){
	    var p = new ParagraphModel(); 
	    
	    p.createFromString(sampleText);

	    expect(nbWords).toEqual(p.words.length); 
	});

	it('should create the text, with 3 paragraphs, first parahraph should contain 48 words', function(){

	    var t = new TextModel();
	    t.createFromString(sampleText, 0);

	    expect(t.paragraphs.length).toEqual(3);
	    expect(t.paragraphs[0].words.length).toEqual(48);
	    
	});
    });
    
});



