describe('wordModel', function(){
    
    // var $log;
    
    beforeEach(angular.mock.module('textViewer'));
    
    beforeEach(inject(function(_WordModel_) {
    	WordModel = _WordModel_;
    }));

    // Inject the $log service
    // beforeEach(inject(function(_$log_){  
    // 	$log = _$log_;
    // }));

    // Log debug messages in Karma
    // afterEach(function(){  
    // 	console.log($log.debug.logs);
    // }); 

    it('should be defined', function(){
	expect(WordModel).toBeDefined(); 
    }); 

    describe('toString function', function(){
	
	it('should return the correct string', function(){

	    var w = new WordModel();
	    w.value = "test";
	    w.after = ",";

	    expect(w.toString()).toEqual("(0)[test],");
	    
	});
    });

    describe('isInRect function', function(){
	
	it('checks if the coordinates are in the bounding rect of the word', function(){

	    var w = new WordModel();
	    
	    var x1 = 10;
	    var y1 = 10;
	    
	    var x2 = 30;
	    var y2 = 10;
	    var obj = document.createElement('span');
	    obj.style.cssText = 'position:absolute;top:5px;left:5px;width:20px;height:10px;';
	    w.element = obj;
	    document.body.appendChild(w.element);

	    expect(w.isInRect(x1, y1)).toBe(true);
	    
	    expect(w.isInRect(x2, y2)).toBe(false); 

	    document.body.removeChild(w.element);
	});

    });

    describe('ellipseIntersect function', function(){
	
	it('checks if there is an intersection between the ellipse and the word', function(){

	    var ellipse1 = {
		x: 2,
		y: 2,
		var_x: 10,
		var_y: 10
	    };
	    
	    var ellipse2 = {
		x: 30,
		y: 16,
		var_x: 5,
		var_y: 5
	    };

	    var w = new WordModel(); 
	    
	    var obj = document.createElement('span');
	    obj.style.cssText = 'position:absolute;top:5px;left:5px;width:20px;height:10px;';
	    w.element = obj;

	    document.body.appendChild(w.element);

	    expect(w.ellipseIntersect(ellipse1)).toBe(true);
	    expect(w.ellipseIntersect(ellipse2)).toBe(false);

	    document.body.removeChild(w.element);
	    
	    
	});

    });
    
});
