// Karma configuration
// Generated on Wed Mar 15 2017 23:27:20 GMT+0100 (CET)

module.exports = function(config) {
  config.set({

    // base path that will be used to resolve all patterns (eg. files, exclude)
    basePath: '',


    // frameworks to use
    // available frameworks: https://npmjs.org/browse/keyword/karma-adapter
    frameworks: ['jasmine'],


    // list of files / patterns to load in the browser
      files: [
	  'node_modules/angular/angular.js',
	  'node_modules/angular-mocks/angular-mocks.js',
	  'node_modules/angular-ui-router/angular-ui-router.js',
	  'textViewer.js',
	  'Services/collisions.js',
	  'Services/geometry2D.js',
	  'Unit_tests/collisions.spec.js',
	  'Services/eyeTrackerFactory.js',
	  'Unit_tests/eyeTrackerFactory.spec.js',
	  'Services/textModel.js', 
	  'Unit_tests/textModel.spec.js',
	  'Services/paragraphModel.js', 
	  'Services/wordModel.js',
	  'Unit_tests/paragraphModel.spec.js',
	  'Unit_tests/wordModel.spec.js'
	  
	  
      ],


    // list of files to exclude
    exclude: [
    ],


    // preprocess matching files before serving them to the browser
    // available preprocessors: https://npmjs.org/browse/keyword/karma-preprocessor
    preprocessors: {
    },


    // test results reporter to use
    // possible values: 'dots', 'progress'
    // available reporters: https://npmjs.org/browse/keyword/karma-reporter
      reporters: ["spec"],
      specReporter: {
          maxLogLines: 5,             // limit number of lines logged per test 
          suppressErrorSummary: true, // do not print error summary 
          suppressFailed: false,      // do not print information about failed tests 
          suppressPassed: false,      // do not print information about passed tests 
          suppressSkipped: true,      // do not print information about skipped tests 
          showSpecTiming: false,      // print the time elapsed for each spec 
          failFast: true              // test would finish with error when a first fail occurs.  
      },

      

      // web server port
      port: 9876,


      // enable / disable colors in the output (reporters and logs)
      colors: true,


      // level of logging
      // possible values: config.LOG_DISABLE || config.LOG_ERROR || config.LOG_WARN || config.LOG_INFO || config.LOG_DEBUG
      // logLevel: config.LOG_DISABLE,
      logLevel: config.LOG_INFO,


      // enable / disable watching file and executing tests whenever any file changes
      autoWatch: true,


      // start these browsers
      // available browser launchers: https://npmjs.org/browse/keyword/karma-launcher
      browsers: ['Chrome'],


      // Continuous Integration mode
      // if true, Karma captures browsers, runs the tests and exits
      singleRun: false,

      // Concurrency level
      // how many browser should be started simultaneous
      concurrency: Infinity
  })
}
