<?php

session_start();
if(!isset($_SESSION["id"])){
    header('Location: index.php');
    exit();
}
?>

<!DOCTYPE html>
<html lang="en">
    <head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	
	<title>Lecture</title>

	<link href="css/bootstrap.min.css" rel="stylesheet">
	<link rel="stylesheet" href="css/font-awesome.min.css">
	<link rel="stylesheet" href="css/animate.css">
	<link href="css/animate.min.css" rel="stylesheet"> 
	<link href="css/style.css" rel="stylesheet" />

	<!-- Eye Tracker -->
	<script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.2.16/angular.min.js"></script> 
	<script src="textViewer.js"></script>
	<script src="controller/textViewerController.js"></script> 
	<script src="directives/paragrapheView.js"></script>
	<script src="directives/textView.js"></script> 
	<script src="directives/wordView.js"></script>
	<script src="directives/ellipse.js"></script>
	<script src="directives/fixationsDisplay.js"></script>
	<script src="directives/collisionsDisplay.js"></script>
	<script src="Services/eyeTrackerFactory.js"></script>
	<script src="Services/collisions.js"></script>
	<script src="Services/geometry2D.js"></script>
	<script src="Services/wordModel.js"></script>
	<script src="Services/paragraphModel.js"></script>
	<script src="Services/textModel.js"></script>
	<script type="text/javascript" src="./libs/socket_io/socket.io.js"></script> 
	<script type="text/javascript" src="./libs/functions.js"></script>
	<!-- Eye Tracker  -->
	
    </head>
    <body>
	<header id="header">

	    <?php
	    include "header.php";
	    ?> 
	    </nav><!--/nav--> -->
	</header><!--/header-->	

	<!--/body-->
	<div class="container">



	    <?php
	    include('db.php');
	    
	    $id= $_POST['bouton'];
	    $level= $_POST['level'];
	    
	    $rows= getTextById($id);
	    
	    $textContent = "";
	    $textTitle = "";
	    
	    foreach($rows as $el){
		$textContent =  $el['contenu'];
		$textTitle = $el['nom'];
	    }
	    
	    ?>
	    <ol class="breadcrumb">
		<li><a href="index.php">Home</a></li>
		<li><a href="chooseYourText.php">The app</a></li>
		<li><a href="level.php?level=<?php echo $level ?>">List of texts </a></li>
		<li class="active">Show text</li>
	    </ol>
	    
	    <!-- The AngularJs App -->
	    <div ng-app="textViewer" ng-controller="textViewerController">
		
		
		<div style="display:none;" ng-init="user_id=<?php echo $_SESSION['id']; ?>;text_id=<?php echo $id; ?>; text_brut=<?php echo htmlentities(json_encode($textContent)); ?>; init()"></div> 

		<h1 style="color:rgb(0, 0, 0);">
		    <br>
		    <?php echo htmlentities(json_encode($textTitle)); ?>
		    <br>
		    <br>
		</h1>
		
		<span style="color:rgb(0, 0, 0);">

		    <input id="paramsButton" type="button" value="{{showParams==true?'Hide Params' : 'Show Params'}}" class="btn btn-primary btn-lg" ng-click="showParams = !showParams"/>

		    <div  ng-show="showParams">
			Font size : <input type="number" min="0" max="100" ng-model="fontSize" style="text-align:right; width:50px ;"/>
			
			Line space size <input type="number" min="0" max="100" ng-model="lineSpace" style="text-align:right; width:50px "/>
			
			<input id="readModeButton" type="button" value="read mode : {{readMode}}" class="btn btn-primary btn-lg" ng-click="readMode = !readMode ; colorWords = false"}"/>

			<input id="colorWordsButton" type="button" value="show marked words : {{colorWords}}" class="btn btn-primary btn-lg" ng-click="colorWords = !colorWords"}" ng-disabled="!readMode"/>
			
			<!-- Threshold readmode time : <input id="readmode-time" type="number" style="text-align:right; width:50px " value="100" min="1" step="1" ng-model="readModeTime"/>ms -->

			<input id="showReticleButton" type="button" value="show reticle : {{showReticle}}" class="btn btn-primary btn-lg" ng-click="showReticle = !showReticle"/>
			<input id="showFixationsButton" type="button" value="show fixations : {{showFixations}}" class="btn btn-primary btn-lg" ng-click="showFixations = !showFixations"/>
			<input id="showCollisionsButton" type="button" value="show collisions : {{showCollisions}}" class="btn btn-primary btn-lg" ng-click="showCollisions = !showCollisions"/>
			<input id="showRectsButton" type="button" value="show rects : {{showRect}}" class="btn btn-primary btn-lg" ng-click="showRect = !showRect"/>
			
			<!-- <input id="calibrateButton" type="button" value="Calibrate" class="btn btn-primary btn-lg" ng-click="calibrate=!calibrate"/> -->

			
			<!-- <input type="button" class="btn btn-primary btn-lg" ng-click="displayRects(); showRect = !showRect" value="showRects : {{showRect}}" /> -->
		    </div>

		    
		</span>

		<br>
		<br>
		
		<text-view show-marked="colorWords"ng-style="{'font-size': fontSize+'px', 'line-height': fontSize+lineSpace+'px'}" text="text"> </text-view> 

		<!-- <div ng-show="calibrate" style="color:rgb(0, 0, 0); width:200px; height:200px;position:absolute;top:0px; left:0px"> 
		     Look at the cross and press enter
		     </div> -->
		
		<!-- Displaying the reticle -->

		<collisions-display collisions="collisions" collision-color="collisionColor" ng-show="showCollisions"></collisions-display>
		<fixations-display fixations="fixations" fixation-color="fixationColor" ng-show="showFixations"></fixations-display>
		<ellipse model="displayPos" color="reticleColor" ng-show="showReticle"></ellipse>
		
		<input id="doneReadingButton" type="button" value="Done Reading" class="btn btn-primary btn-lg" ng-click="doneReading=true;readMode = false;sendSessionData(); readmode=false ;" ng-disabled="doneReading"/>

		<div ng-show="doneReading" style="color:rgb(0, 0, 0);">
		    <br>
		    <br>
		    <h2>
			You have read {{ nbWordsRead() }} words !
		    </h2>
		</div>
		
	    </div> <!-- The AngularJS app (end) -->
	    
	</div><!-- container -->
	<hr>
	<?php require('./footer.php'); ?>
	
    </body>
    
</html>
